Apache2.4, PCRE telepítés, mi a hiba?

Ez a téma lezárásra került a moderátor által. A lezárás oka: Üzemeltetési probléma -> pcforum.hu
Apache2.4, PCRE telepítés, mi a hiba?
2015-11-11T22:16:44+01:00
2015-11-12T10:20:53+01:00
2022-08-09T20:55:30+02:00
tankerman16
az apache2.4-hez szükséges a PCRE ( PCRE - Perl Compatible Regular Expressions) megléte, de a telepítési procedúra itt megakad:

előzmények :

pcre # ./configure --prefix=/usr/local/webserver/pcre --enable-pcre2-32 --enable-pcre2-16
hiba:

pcre # make CDPATH="${ZSH_VERSION+.}:" && cd . && /bin/bash /usr/local/src/httpd-2.4.17/srclib/pcre/missing aclocal-1.15 -I m4 /usr/local/src/httpd-2.4.17/srclib/pcre/missing: sor: 81: aclocal-1.15: parancs nem található WARNING: 'aclocal-1.15' is missing on your system. You should only need it if you modified 'acinclude.m4' or 'configure.ac' or m4 files included by 'configure.ac'. The 'aclocal' program is part of the GNU Automake package: <http://www.gnu.org/software/automake> It also requires GNU Autoconf, GNU m4 and Perl in order to run: <http://www.gnu.org/software/autoconf> <http://www.gnu.org/software/m4/> <http://www.perl.org/> make: *** [aclocal.m4] Error 127
mi lehet a gond, illetve a megoldás?
(linux Mint 17.2 64bit)
Mutasd a teljes hozzászólást!

  • Szerintem, ha szabad vaktában találgatni, amikor az 'aclocal-1.15' hiányára panaszkodik, akkor azt szeretné, ha telepítenéd az 'aclocal-1.15'-t.

    Persze mindez nem lesz egy fáklyásmenet, talán legjobb lenne valami káoszt vinni a rendszerbe, pl:

    1. minden fordítás a /usr/local/src -ben történjen
    2. minden komponens --prefix=/usr/local opcióval forduljon
    3. minden komponenst 64-bitesre fordítani (-m64 CFLAGS-ban és LDFLAGS-ban)
    4. az egyes fordítások minden lépését (configure,make,make install) egy-egy kis script végezze, amit tegyél is el későbbi újrahasznosításra
    5. úgyszintén őrizd meg a folyamatok kimenetét, pl

    ./fordit-telepit.sh 2>&1 | tee fordit-telepit.log
    6. minden fordítás után futtasd a ldconfig -v -t
    Mutasd a teljes hozzászólást!
  • aclocal közben megoldva :)


    a koncepció a következő:
    külön-külön telepíteném a php 5.6-hoz és a php 7.0rc-hez a komplett  szervert (hely van bőven :) ) könyvtárszerkezet a mellékelt képen

    a webserver gyökerébe menne a PCRE, mindkét apache innen érné el
    Mutasd a teljes hozzászólást!
    Csatolt állomány
  • És mi a gond?

    Főleg azt nem értem, ha eggyel is megoldható.
    multiple php on apache
    Mutasd a teljes hozzászólást!
Ez a téma lezárásra került a moderátor által. A lezárás oka: Üzemeltetési probléma -> pcforum.hu
abcd